Bug 150307 - Calc Name Box field not updated immediately after deleting a sheet-local named range with deleting a sheet
Summary: Calc Name Box field not updated immediately after deleting a sheet-local name...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.3.5.2 release
Hardware: All All
: medium minor
Assignee: Eike Rathke
URL:
Whiteboard: target:7.5.0 target:7.3.7 target:7.4.2
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-09 09:37 UTC by Igor
Modified: 2022-09-09 19:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Igor 2022-08-09 09:37:35 UTC
Description:
The Name Box drop-down list is not updated immediately after deleting a named range.

Steps to Reproduce:
1. Create a Calc document.
2. Entere data and named the range. The name is global (in the document).
3. Create a copy of the sheet. Calc added the same name, but local (on the sheet).
4. Deleted the copy of the sheet.

Actual Results:
In the Manage Names dialog, one global name remains. However, both names are still present in the drop-down list of the Name Box field. The field is not updated.

Expected Results:
The Name Box drop-down list must be updated immediately after deleting a named range and must match the Manage Names dialog box for named ranges (because it does not display named formulas).


Reproducible: Always


User Profile Reset: No



Additional Info:
The Name Box sorts names case-sensitive, while the Manage Names dialog is not case-sensitive. Order is broken.
Comment 1 Igor 2022-08-09 09:42:06 UTC
Typos:
2. ...and name the range.
4. Delete the copy...
Comment 2 Timur 2022-08-10 07:12:29 UTC
(In reply to Igor from comment #0)
> Actual Results:
> In the Manage Names dialog, one global name remains. However, both names are
> still present in the drop-down list of the Name Box field. The field is not
> updated.

Yes, but only until file reload. So I set Medium Minor.
Comment 3 Eike Rathke 2022-09-05 18:04:33 UTC
Same in Navigator.
Comment 4 Commit Notification 2022-09-05 23:20:57 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/540a312af2f02108ea90f5d2a9f3bf573db622e5

Related: tdf#150307 Use SfxHintId::ScAreasChanged, tdf#137577 follow-up

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-09-06 10:21:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0ff4a77f337237a5cad1d44390ff924af3992ff8

Resolves: tdf#150307 Broadcast missing ScAreasChanged hint on sheet deletion

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-09-06 12:58:05 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/c36dcb281f6e64d91fcb4dfdc52697da5c666db1

Resolves: tdf#150307 Broadcast missing ScAreasChanged hint on sheet deletion

It will be available in 7.3.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-09-06 12:58:17 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/662fdaadfeaa2a8d3fe1f78cf54332056956e351

Resolves: tdf#150307 Broadcast missing ScAreasChanged hint on sheet deletion

It will be available in 7.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-09-07 06:21:55 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/607f12bc94228472c6eeb7a42387744e93a23b34

Related: tdf#150307 Use SfxHintId::ScAreasChanged, tdf#137577 follow-up

It will be available in 7.3.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2022-09-07 06:23:32 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/e677adf304f7a02d741eb6892e1d102538164ebc

Related: tdf#150307 Use SfxHintId::ScAreasChanged, tdf#137577 follow-up

It will be available in 7.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2022-09-07 18:41:44 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cb4216a9c933bf64ec7a30340b596cb83fe1b599

tdf#150307, tdf#150829: sc: Add UItest

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 BogdanB 2022-09-09 19:22:29 UTC
Confirm it was not working in Version: 
7.4.0.2 / LibreOffice Community
Build ID: 1512ce97d7ed39dce3121f7e15651fd8895f950e
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded

And it is working well in
Version: 7.4.2.0.0+ / LibreOffice Community
Build ID: 26d2a8d9a70255f2211f4256f27286653fbfba44
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded